Create a fact-find request [DEPRECATED: Use the v2 fact-find session routes]
Deprecated
Run in API Explorer
Ask AI
Body
-
The UUID of the fact find schema that you would like the client to use.
-
The UUID of the client account to send the fact find request. This must only be individual clients. Cannot be used with circle_uuid.
-
The UUID of the circle to send the fact find request to. Cannot be used with client_uuid.
-
This controls if an email to the client is sent to invite them to complete a fact find. Set this to false if you are going to send your own invitation.
-
The text that will appear in the invitation email sent to the client (if enabled)
POST
/api/v1/fact-find/request
curl \
--request POST 'https://api.plannrcrm.com/api/v1/fact-find/request' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fact_find_schema_uuid": "fc141f07-26c5-4ab2-ae1e-373f1dc4cf4b",
"client_uuid": "0eda975d-9bf3-4104-a9a4-fdb56ceda2a7",
"circle_uuid": "d8ee76b6-7c6c-4dcc-85c8-c40321543712",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_schema_uuid": "fc141f07-26c5-4ab2-ae1e-373f1dc4cf4b",
"client_uuid": "0eda975d-9bf3-4104-a9a4-fdb56ceda2a7",
"circle_uuid": "d8ee76b6-7c6c-4dcc-85c8-c40321543712",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}
Response examples (201)
{
"uuid": "127623f6-6740-4533-9acd-2de1cf2f3c03",
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"status": "complete",
"completed_at": "2026-10-23T10:39:27+01:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "64567eda-10dd-455c-8625-fbd9e4621480",
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"archived_at": "2026-10-27T10:39:27+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/702c6e0e-8d7b-4a7a-a9d2-e91ee2cfecf0"
},
"latest_file": {
"uuid": "a848822e-5bc0-4788-8b27-92bba136abe2",
"created_at": "2026-10-28T10:39:27+00:00",
"original_created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"uploaded_at": "2026-10-28T10:39:27+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-28T10:39:27+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/6f952b22-7d38-417d-a2fa-becb7b37ae6c/download",
"preview_url": "https://api.plannrcrm.com/file/60bc3ef8-5a37-410c-bea5-1615e5f26aba/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "f31e5bb6-93dc-4ffa-8f29-5646f137a6d6",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "61ba8c78-53ed-4a82-8577-078907d42bc8"
},
"firm": {
"uuid": "93135dc6-bf47-413e-b4e4-4132a1aff4e9",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "521a3e75-48e4-4097-a1eb-4bc2322f61fb",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "cda165d5-73b8-41fd-b8a5-a83e6aba0e91",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "7a78ea02-d7c3-4d0b-bf8f-582f5ec043ca",
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/602657d7-145f-478c-a0a8-e0e362e66c12/210a58dd-b5b1-4785-a037-77021c922730",
"fact_find_passes": {
"uuid": "ff073377-8b9b-425b-a882-7f9ec3a34c72",
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00",
"firm": {
"uuid": "1ee07ef1-a89b-47ae-9ad6-523a3d2dd9f4",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "521a3e75-48e4-4097-a1eb-4bc2322f61fb",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "d58588ca-c930-49c2-b62f-b2fbf7f28949",
"name": "The Codepotato Gang"
},
"expires_at": "2026-10-28T10:39:27+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}